Package ru.bitel.bgbilling.modules.phone.server.bean

# Class NumberPool

java.lang.Object
ru.bitel.bgbilling.modules.phone.server.bean.NumberPool

public class NumberPool extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `NumberPool.NumberPoolEntry`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberPool()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `getCharge()`
  `int`
  `getChargeTypeId()`
  `List<NumberPool.NumberPoolEntry>`
  `getEntryList()`
  `int`
  `getId()`
  `int`
  `getOrder()`
  `long`
  `getRangeEnd()`
  `long`
  `getRangeStart()`
  `String`
  `getTitle()`
  `void`
  `setCharge(float charge)`
  `void`
  `setChargeTypeId(int chargeTypeId)`
  `void`
  `setEntryList(List<NumberPool.NumberPoolEntry> entryList)`
  `void`
  `setId(int id)`
  `void`
  `setOrder(int order)`
  `void`
  `setRangeEnd(long rangeEnd)`
  `void`
  `setRangeStart(long rangeStart)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NumberPool

    public NumberPool()

- ## Method Details

  - ### getEntryList

    public List<NumberPool.NumberPoolEntry> getEntryList()

  - ### setEntryList

    public void setEntryList(List<NumberPool.NumberPoolEntry> entryList)

  - ### getRangeEnd

    public long getRangeEnd()

  - ### setRangeEnd

    public void setRangeEnd(long rangeEnd)

  - ### getRangeStart

    public long getRangeStart()

  - ### setRangeStart

    public void setRangeStart(long rangeStart)

  - ### getCharge

    public float getCharge()

  - ### setCharge

    public void setCharge(float charge)

  - ### getChargeTypeId

    public int getChargeTypeId()

  - ### setChargeTypeId

    public void setChargeTypeId(int chargeTypeId)

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getOrder

    public int getOrder()

  - ### setOrder

    public void setOrder(int order)